package com.kingtom.shengtai.app.srm.model.table;

import com.mybatisflex.core.query.QueryColumn;
import com.mybatisflex.core.table.TableDef;

/**
 * 应用模块名称</p>
 * 产品目录表 表定义层。</p>
 * Copyright: Copyright (C) 2024 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author 86181
 * @since 2024/01/17
 */
public class ProductDirTableDef extends TableDef {

    /**
     * 产品目录表
     */
    public static final ProductDirTableDef PRODUCT_DIR = new ProductDirTableDef();

    /**
     * id
     */
    public final QueryColumn ID = new QueryColumn(this, "id");

    /**
     * 标识符
     */
    public final QueryColumn CODE = new QueryColumn(this, "code");

    /**
     * 名称
     */
    public final QueryColumn NAME = new QueryColumn(this, "name");

    /**
     * 父目录Id
     */
    public final QueryColumn PARENT_ID = new QueryColumn(this, "parent_id");

    /**
     * 路径
     */
    public final QueryColumn PATH = new QueryColumn(this, "path");

    /**
     * 图片
     */
    public final QueryColumn IMAGE = new QueryColumn(this, "image");

    /**
     * 备注
     */
    public final QueryColumn REMARK = new QueryColumn(this, "remark");

    /**
     * 扩展字段1
     */
    public final QueryColumn EXT1 = new QueryColumn(this, "ext1");

    /**
     * 扩展字段2
     */
    public final QueryColumn EXT2 = new QueryColumn(this, "ext2");

    /**
     * 扩展字段3
     */
    public final QueryColumn EXT3 = new QueryColumn(this, "ext3");

    /**
     * 创建时间
     */
    public final QueryColumn GMT_CREATE = new QueryColumn(this, "gmt_create");

    /**
     * 更新时间
     */
    public final QueryColumn GMT_MODIFIED = new QueryColumn(this, "gmt_modified");

    /**
     * 系统ID
     */
    public final QueryColumn SYS_ID = new QueryColumn(this, "sys_id");

    /**
     * 所有字段。
     */
    public final QueryColumn ALL_COLUMNS = new QueryColumn(this, "*");

    /**
     * 默认字段，不包含逻辑删除或者 large 等字段。
     */
    public final QueryColumn[] DEFAULT_COLUMNS = new QueryColumn[]{ID, CODE, NAME, PARENT_ID, PATH, IMAGE, REMARK, EXT1, EXT2, EXT3, GMT_CREATE, GMT_MODIFIED, SYS_ID};

    public ProductDirTableDef() {
        super("public", "product_dir");
    }

}
